# Generated by Django 2.0.5 on 2018-07-16 11:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("munigeo", "0001_squashed_0004_building"),
    ]

    operations = [
        migrations.CreateModel(
            name="AdministrativeDivisionTranslation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "language_code",
                    models.CharField(
                        db_index=True, max_length=15, verbose_name="Language"
                    ),
                ),
                (
                    "name_parler",
                    models.CharField(
                        db_index=True, max_length=100, null=True, verbose_name="Name"
                    ),
                ),
                (
                    "master",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="munigeo.AdministrativeDivision",
                    ),
                ),
            ],
            options={
                "default_permissions": (),
                "verbose_name": "administrative division Translation",
                "db_table": "munigeo_administrativedivision_translation",
                "db_tablespace": "",
                "managed": True,
            },
        ),
        migrations.CreateModel(
            name="MunicipalityTranslation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "language_code",
                    models.CharField(
                        db_index=True, max_length=15, verbose_name="Language"
                    ),
                ),
                (
                    "name_parler",
                    models.CharField(
                        db_index=True, max_length=100, null=True, verbose_name="Name"
                    ),
                ),
                (
                    "master",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="munigeo.Municipality",
                    ),
                ),
            ],
            options={
                "default_permissions": (),
                "verbose_name": "municipality Translation",
                "db_table": "munigeo_municipality_translation",
                "db_tablespace": "",
                "managed": True,
            },
        ),
        migrations.CreateModel(
            name="StreetTranslation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "language_code",
                    models.CharField(
                        db_index=True, max_length=15, verbose_name="Language"
                    ),
                ),
                (
                    "name_parler",
                    models.CharField(
                        db_index=True, max_length=100, verbose_name="Name"
                    ),
                ),
            ],
            options={
                "default_permissions": (),
                "verbose_name": "street Translation",
                "db_table": "munigeo_street_translation",
                "db_tablespace": "",
                "managed": True,
            },
        ),
        migrations.AlterField(
            model_name="street",
            name="modified_at",
            field=models.DateTimeField(
                auto_now=True, help_text="Time when the information was last changed"
            ),
        ),
        migrations.AddField(
            model_name="streettranslation",
            name="master",
            field=models.ForeignKey(
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="translations",
                to="munigeo.Street",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="streettranslation",
            unique_together={("language_code", "master")},
        ),
        migrations.AlterUniqueTogether(
            name="municipalitytranslation",
            unique_together={("language_code", "master")},
        ),
        migrations.AlterUniqueTogether(
            name="administrativedivisiontranslation",
            unique_together={("language_code", "master")},
        ),
    ]
